#!/bin/bash

# Path to current Directory
CURRENTDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

echo "Roomskills Local Connect Install-Script"

echo "setting up service ..."
cp $CURRENTDIR/roomskills_local_connect.service /etc/systemd/system/

echo "copying files ..."
sudo /bin/mkdir /opt/roomskills_local_connect
sudo cp $CURRENTDIR/stop_service /opt/roomskills_local_connect/
sudo chmod +x /opt/roomskills_local_connect/stop_service
sudo cp $CURRENTDIR/start_service /opt/roomskills_local_connect/
sudo chmod +x /opt/roomskills_local_connect/start_service
if [ -f /opt/roomskills_local_connect/current_version.txt ]; then
    echo "current_version.txt exists"
else 
    echo '0.0.0' > /opt/roomskills_local_connect/current_version.txt
fi

sudo systemctl daemon-reload
sudo systemctl enable roomskills_local_connect
sudo systemctl start roomskills_local_connect

echo "finished"
exit 0