<?php
/**
 Roomskills Local Connect MAX2PLAY Plugin
 
 @Copyright 2021 ComputeQ UG
 @author Ingo Keutgen
 Mail: ingo.keutgen@computeq.co
 Web: https://www.roomskills.com
 
 */

/**
 * Put HTML and Javascript Content here
 */

// get language
$language =substr($_SERVER['HTTP_ACCEPT_LANGUAGE'], 0, 2);
// look through sorted list and use first one that matches our languages
if ($language  == 'de') {
	// set german text
	$lang_rlc_setup = "Roomskills Local Connect Setup";
	$lang_rlc_message = "Dies ist die Roomskills Local Connect Setup Page, bitte benutze diese Seite zur Installation und Deinstallation von Roomskills Local Connect auf Deinem MAX2PLAY System, sowie zum Stoppen und Starten des Roomskills Local Connect Services.";
	$lang_rlc_install = "Installation der neuesten Version von Roomskills Local Connect";
	$lang_rlc_install_button = "Starte Installation";
	$lang_rlc_remove = "Deinstallation von Roomskills Local Connect";
	$lang_rlc_remove_button = "Starte Deinstallation";
	$lang_rlc_service_mgmnt = "Roomskills Local Connect Service Management";
	$lang_rlc_stop = "Beende Roomskills Local Connect";
	$lang_rlc_start = "Starte Roomskills Local Connect";
	$lang_rlc_debug = "Roomskills Local Connect Information";
	$lang_rlc_show_log = "Zeige Roomskills Local Connect Logfile";
	$lang_rlc_restart = "Roomskills Local Connect aktualisieren und neu starten";
	$lang_rlc_active = "Roomskills Local Connect ist aktiv";
	$lang_rlc_inactive = "Roomskills Local Connect ist nicht aktiv";
	$lang_rlc_config = "Roomskills Local Connect Konfiguration";
	$lang_rlc_config_button = "Zur Roomskills Local Connect Webseite";
} else {
	// set default text
	$lang_rlc_setup = "Roomskills Local Connect Setup";
	$lang_rlc_message = "This is the Roomskills Local Connect Setup Page, please use this page to install or remove Roomskills Local Connect on your MAX2PLAY system as well as start stop or restart the Roomskills Local Connect service.";
	$lang_rlc_install = "Install the latest version of Roomskills Local Connect";
	$lang_rlc_install_button = "Start Installation";
	$lang_rlc_remove = "Remove Roomskills Local Connect";
	$lang_rlc_remove_button = "Start Remove";
	$lang_rlc_service_mgmnt = "Roomskills Local Connect Service Management";
	$lang_rlc_stop = "Stop the Roomskills Local Connect service";
	$lang_rlc_start = "Start the Roomskills Local Connect service";
	$lang_rlc_debug = "Roomskills Local Connect Information";
	$lang_rlc_show_log = "Show the Roomskills Local Connect logfile";
	$lang_rlc_restart = "Update and restart Roomskills Local Connect";
	$lang_rlc_active = "Roomskills Local Connect is active";
	$lang_rlc_inactive = "Roomskills Local Connect is inactive";
	$lang_rlc_config = "Roomskills Local Connect Configuration";
	$lang_rlc_config_button = "To the Roomskills Local Connect Webpage";
} 

?>


<h1 class="entry-header">
	<?php echo $lang_rlc_setup ?>
</h1>
<?php echo ($lang_rlc_message); ?>
<br />
<br />
<div class="entry-content">
	<?php if(isset($RoomskillsLocalConnect->view->message[0])){ ?>
		<div class="ui-widget">
		<div class="ui-state-highlight ui-corner-all"
			style="margin-bottom: 10px; padding: 0.4em .7em;">
			<p>
				<span class="ui-icon ui-icon-info"
					style="float: left; margin-right: .3em;"></span>
					<?php echo implode('<br />', $RoomskillsLocalConnect->view->message); ?>					
				</p>
		</div>
	</div>
	<?php } ?>
	<form id="rlc_form" method="get">
	<input type="hidden" id="rlc_action" name="rlc_action" value="" />
	<p class="ui-state-default ui-corner-all"
		style="padding: 4px; margin-bottom: 1em;">
		<span class="ui-icon ui-icon-gear"
			style="float: left; margin: -2px 5px 0 0;"></span> <b><?php echo $lang_rlc_install; ?></b>
	</p>

	<br />
	<center>
	<input type="button" id="install" name="install"
						onclick="document.getElementById('rlc_action').value='install';document.getElementById('rlc_form').submit();"
						value="<?php echo ($lang_rlc_install_button) ?>" />

	</center>
	<br />
	<br />
	<p class="ui-state-default ui-corner-all"
		style="padding: 4px; margin-bottom: 1em;">
		<span class="ui-icon ui-icon-gear"
			style="float: left; margin: -2px 5px 0 0;"></span> <b><?php echo $lang_rlc_remove; ?></b>
	</p>

	<br />
	<center>
	<input type="button" id="remove" name="remove"
						onclick="document.getElementById('rlc_action').value='remove';document.getElementById('rlc_form').submit();"
						value="<?php echo ($lang_rlc_remove_button) ?>" />

	</center>
	<br />
	<br />
	<p class="ui-state-default ui-corner-all"
					style="padding: 4px; margin-bottom: 1em;">
					<span class="ui-icon ui-icon-volume-on"
						style="float: left; margin: -2px 5px 0 0;"></span>					
					<?php if ($RoomskillsLocalConnect->view->pid) { ?>
						<b><?php echo _('Status') ?>:</b> <?php echo str_replace('$SERVICENAME', $RoomskillsLocalConnect->viewname, $lang_rlc_active) ?> <b>(process id:<?php echo $RoomskillsLocalConnect->view->pid ?>)</b>
	</p>
	<?php }else { ?>
						<b><?php echo _('Status') ?>:</b> <?php echo str_replace('$SERVICENAME', $RoomskillsLocalConnect->viewname, $lang_rlc_inactive) ?></p>
	<?php } ?> 
	<br />
	<br />
	<p class="ui-state-default ui-corner-all"
		style="padding: 4px; margin-bottom: 1em;">
		<span class="ui-icon ui-icon-gear"
			style="float: left; margin: -2px 5px 0 0;"></span> <b><?php echo $lang_rlc_service_mgmnt; ?></b>
	</p>

	<br />
	<center>
	<input type="button" id="stop" name="stop"
						onclick="document.getElementById('rlc_action').value='stop';document.getElementById('rlc_form').submit();"
						value="<?php echo ($lang_rlc_stop) ?>" />
						<input type="button" id="start" name="start"
						onclick="document.getElementById('rlc_action').value='start';document.getElementById('rlc_form').submit();"
						value="<?php echo ($lang_rlc_start) ?>" />
						<input type="button" id="state" name="state"
						onclick="document.getElementById('rlc_action').value='restart';document.getElementById('rlc_form').submit();"
						value="<?php echo ($lang_rlc_restart) ?>" />

	</center>
	<br />
	<br />
	<p class="ui-state-default ui-corner-all"
		style="padding: 4px; margin-bottom: 1em;">
		<span class="ui-icon ui-icon-gear"
			style="float: left; margin: -2px 5px 0 0;"></span> <b><?php echo $lang_rlc_debug; ?></b>
	</p>

	<br />
	<center>
	<a href="#javascript" id="show_log" name="show_log" onclick="document.getElementById('rlc_log_text').style.display='';return false;">Logging-Info</a>
	
	<br />
	<textarea id="rlc_log_text" rows="30" cols="70" style="display: none;"><?php

		foreach ($RoomskillsLocalConnect->view->rlc_log as $key => $the_info) {
			echo "#### ". $key. " ####\n"; 
			 echo $the_info." \n\n"; 
		 }?>
	</textarea>

	</center>
	
	
	<br />
	<br />
	<p class="ui-state-default ui-corner-all"
		style="padding: 4px; margin-bottom: 1em;">
		<span class="ui-icon ui-icon-gear"
			style="float: left; margin: -2px 5px 0 0;"></span> <b><?php echo $lang_rlc_config; ?></b>
	</p>

	<br />
	<center>
	<a class="button-small clickloading" href="#"
						onclick="var the_hostname = window.location.hostname; window.open('http://'+ the_hostname + ':32655/config'); "><?php echo ($lang_rlc_config_button) ?></a>

	</center>




	</form>
	<br />
	<br />
</div>
